summaryrefslogtreecommitdiff
path: root/t/t5000-tar-tree.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t5000-tar-tree.sh')
-rwxr-xr-xt/t5000-tar-tree.sh12
1 files changed, 5 insertions, 7 deletions
diff --git a/t/t5000-tar-tree.sh b/t/t5000-tar-tree.sh
index 1f7593dc7a..2178f14d11 100755
--- a/t/t5000-tar-tree.sh
+++ b/t/t5000-tar-tree.sh
@@ -31,6 +31,11 @@ GUNZIP=${GUNZIP:-gzip -d}
SUBSTFORMAT=%H%n
+test_lazy_prereq UNZIP '
+ "$GIT_UNZIP" -v
+ test $? -ne 127
+'
+
check_zip() {
zipfile=$1.zip
listfile=$1.lst
@@ -201,13 +206,6 @@ test_expect_success \
test_cmp a/substfile2 g/prefix/a/substfile2
'
-"$GIT_UNZIP" -v >/dev/null 2>&1
-if [ $? -eq 127 ]; then
- say "Skipping ZIP tests, because unzip was not found"
-else
- test_set_prereq UNZIP
-fi
-
test_expect_success \
'git archive --format=zip' \
'git archive --format=zip HEAD >d.zip'